options nocenter nodate nonumber source symbolgen compress=yes;

/*------ Work data ------------*/

LIBNAME savedat '/home/field005/psidsipp/sipp01/data';



%macro runavgs;

%do i = 1 %to 9;

%let wave = &i;
%let part = l01puw;
%let sufx = %str(.dat);

/*
%let yr=%substr(&year,3,2);
*/

/* --------------------- Libnames  -------------------- */

/*----- Source data -----------*/ 

/*------------------------------------------------------*/
/*
          - COMMENT - 
This libname/filename is inside the macro because I want
to change the destination dynamically to let the macro 
grab input files for each wave in turn.
        - END COMMENT - 
*/
/*------------------------------------------------------*/

FILENAME INPUTDAT "/home/field005/psidsipp/sipp01/data/&part&wave&sufx" ;


/* -----------------  Data Steps etc ----------------- */

DATA savedat.&part&wave;
INFILE INPUTDAT PAD LRECL=2193 ;
INPUT
 SSUSEQ 1- 5
 SSUID $ 6- 17
 SPANEL 18- 21
 SWAVE 22- 23
 SROTATON 24- 24
 SREFMON 25- 25
 RHCALMN 26- 27
 RHCALYR 28- 31
 SHHADID 32- 34
 GVARSTR 35- 37
 GHLFSAM 38- 38
 GRGC $ 39- 41
 TFIPSST 42- 43
 TMOVRFLG 44- 45
 EOUTCOME 46- 48
 RHNF 49- 50
 RHNFAM 51- 52
 RHNSF 53- 54
 EHREFPER 55- 58
 EHHNUMPP 59- 61
 RHTYPE 62- 62
 WHFNWGT 63- 72
 TMETRO 73- 73
/* TMSA 74- 77 */
 RHCHANGE 78- 78
 RHNSSR 79- 80
 EACCESS 81- 82
/* AACCESS 83- 83 */
 EUNITS 84- 85
/* AUNITS 86- 86 */
 ELIVQRT 87- 88
/* ALIVQRT 89- 89 */
 ETENURE 90- 90
/* ATENURE 91- 91 */
 EPUBHSE 92- 93
/* APUBHSE 94- 94 */
 EGVTRNT 95- 96
/* AGVTRNT 97- 97 */
 TMTHRNT 98- 103
/* AMTHRNT 104- 104 */
 EWRSECT8 105- 106
/* AWRSECT8 107- 107 */
 EUTILYN 108- 109
/* AUTILYN 110- 110 */
 EEGYAST 111- 112
/* AEGYAST 113- 113 */
 EEGYPMT1 114- 115
 EEGYPMT2 116- 117
 EEGYPMT3 118- 119
/* AEGYPMT 120- 120 */
 EEGYAMT 121- 125
/* AEGYAMT 126- 126 */
 EHOTLUNC 127- 128
/* AHOTLUNC 129- 129 */
 RNKLUN 130- 131
 EFREELUN 132- 133
/* AFREELUN 134- 134 */
 EFRERDLN 135- 136
/* AFRERDLN 137- 137 */
 EBRKFST 138- 139
/* ABRKFST 140- 140 */
 RNKBRK 141- 142
 EFREEBRK 143- 144
/* AFREEBRK 145- 145 */
 EFRERDBK 146- 147
/* AFRERDBK 148- 148 */
 RPRGQUES 149- 149
 THEARN 150- 156
 THPRPINC 157- 164
 THTRNINC 165- 171
 THOTHINC 172- 178
 THTOTINC 179- 186
 RHNBRF 187- 188
 RHCBRF 189- 190
 RHMTRF 191- 192
 RHPOV 193- 197
 THPNDIST 198- 204
 THLUMPSM 205- 212
 THNONCSH 213- 218
 THSOCSEC 219- 224
 THSSI 225- 230
 THUNEMP 231- 236
 THVETS 237- 242
 THAFDC 243- 248
 THFDSTP 249- 254
 RFID 255- 257
 RFID2 258- 260
 EFNP 261- 262
 EFREFPER 263- 266
 EFSPOUSE 267- 270
 EFTYPE 271- 272
 RFCHANGE 273- 273
 EFKIND 274- 275
 RFNKIDS 276- 277
 RFOWNKID 278- 279
 RFOKLT18 280- 281
 RFNSSR 282- 283
 WFFINWGT 284- 293
 TFEARN 294- 300
 TFPRPINC 301- 308
 TFTRNINC 309- 315
 TFOTHINC 316- 322
 TFTOTINC 323- 330
 RFPOV 331- 335
 TFPNDIST 336- 342
 TFLUMPSM 343- 350
 TFSOCSEC 351- 356
 TFSSI 357- 362
 TFUNEMP 363- 368
 TFVETS 369- 374
 TFAFDC 375- 380
 TFFDSTP 381- 386
 RSID 387- 389
 ESFNP 390- 391
 ESFRFPER 392- 395
 ESFSPSE 396- 399
 ESFTYPE 400- 401
 ESFKIND 402- 403
 RSCHANGE 404- 405
 ESOWNKID 406- 407
 ESOKLT18 408- 409
 WSFINWGT 410- 419
 TSFEARN 420- 426
 TSPRPINC 427- 434
 TSTRNINC 435- 441
 TSOTHINC 442- 448
 TSTOTINC 449- 456
 RSFPOV 457- 461
 TSPNDIST 462- 468
 TSLUMPSM 469- 476
 TSSOCSEC 477- 482
 TSSSI 483- 488
 TSVETS 489- 494
 TSUNEMP 495- 500
 TSAFDC 501- 506
 TSFDSTP 507- 512
 EENTAID 513- 515
 EPPPNUM 516- 519
 EPPINTVW 520- 521
 EPOPSTAT 522- 522
 EBMNTH 523- 524
/* ABMNTH 525- 525 */
 TBYEAR 526- 529
/* ABYEAR 530- 530 */
 ESEX 531- 531
 ASEX 532- 532
 ERACE 533- 533
 ARACE 534- 534
 EORIGIN 535- 536
 AORIGIN 537- 537
/* UEVRWID 538- 538 */
/* UEVRDIV 539- 539 */
 EAFNOW 540- 541
/* AAFNOW 542- 542 */
 EAFEVER 543- 544
/* AAFEVER 545- 545 */
/* UAF1 546- 546 */
/* UAF2 547- 547 */
/* UAF3 548- 548 */
/* UAF4 549- 549 */
/* UAF5 550- 550 */
 EVAYN 551- 552
/* AVAYN 553- 553 */
 EVETTYP 554- 555
/* AVETTYP 556- 556 */
 EVAQUES 557- 558
/* AVAQUES 559- 559 */
 EAFSRVDI 560- 561
/* AAFSRVDI 562- 562 */
 WPFINWGT 563- 572
 ESFR 573- 573
 ESFT 574- 574
 TAGE 575- 576
 AAGE 577- 577
 ERRP 578- 579
 ARRP 580- 580
 EMS 581- 581
 AMS 582- 582
 EPNSPOUS 583- 586
 APNSPOUS 587- 587
 EPNMOM 588- 591
 APNMOM 592- 592
 EPNDAD 593- 596
 APNDAD 597- 597
 EPNGUARD 598- 601
 APNGUARD 602- 602
 ETYPMOM 603- 604
 ATYPMOM 605- 605
 ETYPDAD 606- 607
 ATYPDAD 608- 608
 RDESGPNT 609- 610
 ULFTMAIN 611- 612
 UENTMAIN 613- 614
 TPEARN 615- 621
 TPPRPINC 622- 629
 TPTRNINC 630- 636
 TPOTHINC 637- 643
 TPTOTINC 644- 651
 TPPNDIST 652- 656
 TPLUMPSM 657- 662
 EHTLNYN 663- 664
/* AHTLNYN 665- 665 */
 EBKFSYN 666- 667
/* ABKFSYN 668- 668 */
 RCUTYP01 669- 669
 RCUOWN01 670- 673
 RCUTYP03 674- 674
 RCUOWN03 675- 678
 RCUTYP04 679- 679
 RCUOWN04 680- 683
 RCUTYP08 684- 684
 RCUOWN8A 685- 688
 RCUOWN8B 689- 692
 RCUTYP20 693- 693
 RCUOWN20 694- 697
 RCUTYP21 698- 698
 RCUOW21A 699- 702
 RCUOW21B 703- 706
 RCUTYP23 707- 707
 RCUOWN23 708- 711
 RCUTYP24 712- 712
 RCUOW24A 713- 716
 RCUOW24B 717- 720
 RCUTYP25 721- 721
 RCUOWN25 722- 725
 RCUTYP27 726- 726
 RCUOWN27 727- 730
 RCUTYP57 731- 731
 RCUOWN57 732- 735
 RCUTYP58 736- 736
 RCUOW58A 737- 740
 RCUOW58B 741- 744
 RENROLL 745- 746
/* ARENROLL 747- 747 */
 EENRLM 748- 749
/* AENRLM 750- 750 */
 RENRLMA 751- 752
 EENLEVEL 753- 754
/* AENLEVEL 755- 755 */
 EEDFUND 756- 757
/* AEDFUND 758- 758 */
/* EASST01 759- 760 */
/* EASST03 761- 762 */
/* EASST04 763- 764 */
/* EASST05 765- 766 */
/* EASST06 767- 768 */
/* EASST07 769- 770 */
/* EASST08 771- 772 */
/* EASST09 773- 774 */
/* EASST10 775- 776 */
/* EASST11 777- 778 */
/* AEDASST 779- 779 */
 EEDUCATE 780- 781
/* AEDUCATE 782- 782 */
 EPDJBTHN 783- 784
 APDJBTHN 785- 785
 EJOBSRCH 786- 787
/* AJOBSRCH 788- 788 */
 EJOBTRN 789- 790
/* AJOBTRN 791- 791 */
 RJOBHELP 792- 793
 EPPFLAG 794- 795
 EMAX 796- 797
 EBUSCNTR 798- 799
 EJOBCNTR 800- 801
 EEVERET 802- 803
 /* AEVERET 804- 804 */
 EDISABL 805- 806
 ADISABL 807- 807
 EDISPREV 808- 809
 ADISPREV 810- 810
 ERSNOWRK 811- 812
 ARSNOWRK 813- 813
 EAWOP 814- 815
/* AAWOP 816- 816 */
 EABRE 817- 818
/* AABRE 819- 819 */
 EPTWRK 820- 821
 APTWRK 822- 822
 EPTRESN 823- 824
 APTRESN 825- 825
 ELKWRK 826- 827
 ALKWRK 828- 828
 ELAYOFF 829- 830
 ALAYOFF 831- 831
 RTAKJOB 832- 833
 RNOTAKE 834- 835
 EMOONLIT 836- 837
/* AMOONLIT 838- 838 */
 TMLMSUM 839- 843
/* AMLMSUM 844- 844 */
 EBFLAG 845- 846
 ECFLAG 847- 848
 RMESR 849- 850
 RWKESR1 851- 852
 RWKESR2 853- 854
 RWKESR3 855- 856
 RWKESR4 857- 858
 RWKESR5 859- 860
 RMWKWJB 861- 862
 RMWKSAB 863- 864
/* AWKSAB 865- 865 */
 RMWKLKG 866- 867
 AWKLKG 868- 868
 RMHRSWK 869- 870
 RWKSPERM 871- 872
 EENO1 873- 874
 ESTLEMP1 875- 876
 ASTLEMP1 877- 877
 TSJDATE1 878- 885
 ASJDATE1 886- 886
 TEJDATE1 887- 894
 AEJDATE1 895- 895
 ERSEND1 896- 897
/* ARSEND1 898- 898 */
 EJBHRS1 899- 900
 AJBHRS1 901- 901
 /* EEMPLOC1 902- 903 */
 /* AEMPLOC1 904- 904 */
 /* TEMPALL1 905- 906 */
 /* AEMPALL1 907- 907 */
 /* TEMPSIZ1 908- 909 */
 /* AEMPSIZ1 910- 910 */
 EOCCTIM1 911- 914
 AOCCTIM1 915- 915
 ECLWRK1 916- 917
 ACLWRK1 918- 918
/* EUNION1 919- 920 */
/* AUNION1 921- 921 */
/* ECNTRC1 922- 923 */
/* ACNTRC1 924- 924 */
 TPMSUM1 925- 929
 APMSUM1 930- 930
 EPAYHR1 931- 932
 APAYHR1 933- 933
 TPYRATE1 934- 937
 APYRATE1 938- 938
 RPYPER1 939- 940
 EJBIND1 941- 943
/* AJBIND1 944- 944 */
 TJBOCC1 945- 947
/* AJBOCC1 948- 948 */
 EENO2 949- 950
 ESTLEMP2 951- 952
 ASTLEMP2 953- 953
 TSJDATE2 954- 961
 ASJDATE2 962- 962
 TEJDATE2 963- 970
 AEJDATE2 971- 971
 ERSEND2 972- 973
/* ARSEND2 974- 974 */
 EJBHRS2 975- 976
 AJBHRS2 977- 977
 EEMPLOC2 978- 979
/* AEMPLOC2 980- 980 */
 TEMPALL2 981- 982
/* AEMPALL2 983- 983 */
 TEMPSIZ2 984- 985
/* AEMPSIZ2 986- 986 */
 EOCCTIM2 987- 990
/* AOCCTIM2 991- 991 */
 ECLWRK2 992- 993
 ACLWRK2 994- 994
/* EUNION2 995- 996 */
/* AUNION2 997- 997 */
/* ECNTRC2 998- 999 */
/* ACNTRC2 1000-1000 */
 TPMSUM2 1001-1005
 APMSUM2 1006-1006
 EPAYHR2 1007-1008
 APAYHR2 1009-1009
 TPYRATE2 1010-1013
 APYRATE2 1014-1014
 RPYPER2 1015-1016
 EJBIND2 1017-1019
/* AJBIND2 1020-1020 */
 TJBOCC2 1021-1023
/* AJBOCC2 1024-1024 */
 EBNO1 1025-1026
 EBIZNOW1 1027-1028
 ABIZNOW1 1029-1029
 TSBDATE1 1030-1037
 ASBDATE1 1038-1038
 TEBDATE1 1039-1046
 AEBDATE1 1047-1047
 ERENDB1 1048-1049
/* ARENDB1 1050-1050 */
 EHRSBS1 1051-1052
 AHRSBS1 1053-1053
 EGROSB1 1054-1055
/* AGROSB1 1056-1056 */
 EGRSSB1 1057-1058
/* AGRSSB1 1059-1059 */
 TEMPB1 1060-1061
/* AEMPB1 1062-1062 */
 EINCPB1 1063-1064
/* AINCPB1 1065-1065 */
 EPROPB1 1066-1067
/* APROPB1 1068-1068 */
 EHPRTB1 1069-1070
 AHPRTB1 1071-1071
 ESLRYB1 1072-1073
 ASLRYB1 1074-1074
 EOINCB1 1075-1076
 AOINCB1 1077-1077
 TPRFTB1 1078-1083
 APRFTB1 1084-1084
 TBMSUM1 1085-1089
 ABMSUM1 1090-1090
 EPARTB11 1091-1094
 EPARTB21 1095-1098
 EPARTB31 1099-1102
 TBSIND1 1103-1104
/* ABSIND1 1105-1105 */
 TBSOCC1 1106-1108
/* ABSOCC1 1109-1109 */
 EBNO2 1110-1111
 EBIZNOW2 1112-1113
 ABIZNOW2 1114-1114
 TSBDATE2 1115-1122
 ASBDATE2 1123-1123
 TEBDATE2 1124-1131
 AEBDATE2 1132-1132
 ERENDB2 1133-1134
/* ARENDB2 1135-1135 */
 EHRSBS2 1136-1137
 AHRSBS2 1138-1138
 EGROSB2 1139-1140
/* AGROSB2 1141-1141 */
 EGRSSB2 1142-1143
/* AGRSSB2 1144-1144 */
 TEMPB2 1145-1146
/* AEMPB2 1147-1147 */
 EINCPB2 1148-1149
/* AINCPB2 1150-1150 */
 EPROPB2 1151-1152
/* APROPB2 1153-1153 */
 EHPRTB2 1154-1155
 /* AHPRTB2 1156-1156 */
 ESLRYB2 1157-1158
 ASLRYB2 1159-1159
 EOINCB2 1160-1161
 AOINCB2 1162-1162
 TPRFTB2 1163-1168
/* APRFTB2 1169-1169 */
 TBMSUM2 1170-1174
/* ABMSUM2 1175-1175 */
 EPARTB12 1176-1179
 EPARTB22 1180-1183
 EPARTB32 1184-1187
 TBSIND2 1188-1189
/* ABSIND2 1190-1190 */
 TBSOCC2 1191-1193
/* ABSOCC2 1194-1194 */
 EUECTYP5 1195-1196
 AUECTYP5 1197-1197
 EUECTYP7 1198-1199
 AUECTYP7 1200-1200
 ELMPTYP1 1201-1202
/* ALMPTYP1 1203-1203 */
 ELMPTYP2 1204-1205
/* ALMPTYP2 1206-1206 */
 ELMPTYP3 1207-1208
/* ALMPTYP3 1209-1209 */
 ESSSELF 1210-1211
 ASSSELF 1212-1212
 ESSCHILD 1213-1214
 ASSCHILD 1215-1215
 ESSICHLD 1216-1217
 ASSICHLD 1218-1218
 ESSISELF 1219-1220
 ASSISELF 1221-1221
 ESTSSI 1222-1223
 ASTSSI 1224-1224
/* RWCMPRSN 1225-1226 */
/* AWCMPRSN 1227-1227 */
/* RINSRSN 1228-1229 */
/* AINSRSN 1230-1230 */
/* REMPDRSN 1231-1232 */
/* AEMPDRSN 1233-1233 */
/* RPENSRSN 1234-1235 */
/* APENSRSN 1236-1236 */
/* RFCSRSN 1237-1238 */
/* AFCSRSN 1239-1239 */
/* RSTATRSN 1240-1241 */
/* ASTATRSN 1242-1242 */
/* RLGOVRSN 1243-1244 */
/* ALGOVRSN 1245-1245 */
/* RMILRSN 1246-1247 */
/* AMILRSN 1248-1248 */
/* RRRSN 1249-1250 */
/* ARRRSN 1251-1251 */
/* ROTHRRSN 1252-1253 */
/* AOTHRRSN 1254-1254 */
/* RLIFIRSN 1255-1256 */
/* ALIFIRSN 1257-1257 */
/* RVETSRSN 1258-1259 */
/* AVETSRSN 1260-1260 */
/* RESTARSN 1261-1262 */
/* AESTARSN 1263-1263 */
 EFCCYN 1264-1265
/* AFCCYN 1266-1266 */
 ECSAGREE 1267-1268
/* ACSAGREE 1269-1269 */
 ECSYN 1270-1271
/* ACSYN 1272-1272 */
 EALIYN 1273-1274
/* AALIYN 1275-1275 */
 EFSYN 1276-1277
 AFSYN 1278-1278
 EPSSTHRU 1279-1280
/* APSSTHRU 1281-1281 */
 EWICYN 1282-1283
 AWICYN 1284-1284
 EPATYN 1285-1286
 APATYN 1287-1287
 EPATYP1 1288-1289
 APATYP1 1290-1290
 EPATYP2 1291-1292
 APATYP2 1293-1293
 EPATYP3 1294-1295
 APATYP3 1296-1296
 EPATYP4 1297-1298
 APATYP4 1299-1299
 EPATYP5 1300-1301
 APATYP5 1302-1302
 EPATYP6 1303-1304
 APATYP6 1305-1305
 EPATYP7 1306-1307
 APATYP7 1308-1308
 ECOMSERV 1309-1310
/* ACOMSERV 1311-1311 */
 ECOMTYPE 1312-1313
/* ACOMTYPE 1314-1314 */
 EASETDRW 1315-1316
/* AASETDRW 1317-1317 */
/* ERESNSS1 1318-1319 */
/* ARESNSS1 1320-1320 */
/* ERESNSS2 1321-1322 */
/* ARESNSS2 1323-1323 */
 TAGESS 1324-1325
 AAGESS 1326-1326
/* EJNTSSYN 1327-1328 */
/* AJNTSSYN 1329-1329 */
 ER01A 1330-1331
 AR01A 1332-1332
 ER01K 1333-1334
 AR01K 1335-1335
/* ER02 1336-1337 */
/* AR02 1338-1338 */
 ER03A 1339-1340
 AR03A 1341-1341
 ER03K 1342-1343
 AR03K 1344-1344
 ER04 1345-1346
 AR04 1347-1347
 ER05 1348-1349
 AR05 1350-1350
 ER07 1351-1352
 AR07 1353-1353
/* ER08 1354-1355 */
/* AR08 1356-1356 */
 ER10 1357-1358
 AR10 1359-1359
/* ER12 1360-1361 */
/* AR12 1362-1362 */
/* ER13 1363-1364 */
/* AR13 1365-1365 */
/* ER14 1366-1367 */
/* AR14 1368-1368 */
/* ER15 1369-1370 */
/* AR15 1371-1371 */
 ER20 1372-1373
 AR20 1374-1374
 ER21 1375-1376
 AR21 1377-1377
/* ER23 1378-1379 */
/* AR23 1380-1380 */
 ER24 1381-1382
 AR24 1383-1383
 ER25 1384-1385
 AR25 1386-1386
/* ER26 1387-1388 */
/* AR26 1389-1389 */
 ER27 1390-1391
 AR27 1392-1392
/* ER28 1393-1394 */
/* AR28 1395-1395 */
/* ER29 1396-1397 */
/* AR29 1398-1398 */
/* ER30 1399-1400 */
/* AR30 1401-1401 */
/* ER31 1402-1403 */
/* AR31 1404-1404 */
/* ER32 1405-1406 */
/* AR32 1407-1407 */
/* ER34 1408-1409 */
/* AR34 1410-1410 */
/* ER35 1411-1412 */
/* AR35 1413-1413 */
/* ER36 1414-1415 */
/* AR36 1416-1416 */
/* ER37 1417-1418 */
/* AR37 1419-1419 */
/* ER38 1420-1421 */
/* AR38 1422-1422 */
/* ER39 1423-1424 */
/* AR39 1425-1425 */
/* ER42 1426-1427 */
/* AR42 1428-1428 */
/* ER50 1429-1430 */
/* AR50 1431-1431 */
/* ER51 1432-1433 */
/* AR51 1434-1434 */
/* ER52 1435-1436 */
/* AR52 1437-1437 */
/* ER53 1438-1439 */
/* AR53 1440-1440 */
/* ER55 1441-1442 */
/* AR55 1443-1443 */
/* ER56 1444-1445 */
/* AR56 1446-1446 */
/* ER75 1447-1448 */
/* AR75 1449-1449 */
 T01AMTA 1450-1454
 A01AMTA 1455-1455
 T01AMTK 1456-1460
 A01AMTK 1461-1461
/* T02AMT 1462-1466 */
/* A02AMT 1467-1467 */
 T03AMTA 1468-1472
 A03AMTA 1473-1473
 T03AMTK 1474-1478
 A03AMTK 1479-1479
 T04AMT 1480-1484
 A04AMT 1485-1485
 T05AMT 1486-1490
 A05AMT 1491-1491
 T07AMT 1492-1496
 A07AMT 1497-1497
/* T08AMT 1498-1502 */
/* A08AMT 1503-1503 */
 T10AMT 1504-1508
 A10AMT 1509-1509
/* T12AMT 1510-1514 */
/* A12AMT 1515-1515 */
/* T13AMT 1516-1520 */
/* A13AMT 1521-1521 */
/* T14AMT 1522-1526 */
/* A14AMT 1527-1527 */
/* T15AMT 1528-1532 */
/* A15AMT 1533-1533 */
 T20AMT 1534-1538
 A20AMT 1539-1539
 T21AMT 1540-1544
 A21AMT 1545-1545
/* T23AMT 1546-1550 */
/* A23AMT 1551-1551 */
 T24AMT 1552-1556
 A24AMT 1557-1557
 T25AMT 1558-1562
 A25AMT 1563-1563
/* T26AMT 1564-1568 */
/* A26AMT 1569-1569 */
 T27AMT 1570-1574
 A27AMT 1575-1575
/* T28AMT 1576-1580 */
/* A28AMT 1581-1581 */
/* T29AMT 1582-1586 */
/* A29AMT 1587-1587 */
/* T30AMT 1588-1592 */
/* A30AMT 1593-1593 */
/* T31AMT 1594-1598 */
/* A31AMT 1599-1599 */
/* T32AMT 1600-1604 */
/* A32AMT 1605-1605 */
/* T34AMT 1606-1610 */
/* A34AMT 1611-1611 */
/* T35AMT 1612-1616 */
/* A35AMT 1617-1617 */
/* T36AMT 1618-1622 */
/* A36AMT 1623-1623 */
/* T37AMT 1624-1628 */
/* A37AMT 1629-1629 */
/* T38AMT 1630-1635 */
/* A38AMT 1636-1636 */
/* T39AMT 1637-1642 */
/* A39AMT 1643-1643 */
/* T42AMT 1644-1648 */
/* A42AMT 1649-1649 */
/* T50AMT 1650-1654 */
/* A50AMT 1655-1655 */
/* T51AMT 1656-1660 */
/* A51AMT 1661-1661 */
/* T52AMT 1662-1666 */
/* A52AMT 1667-1667 */
/* T53AMT 1668-1672 */
/* A53AMT 1673-1673 */
/* T55AMT 1674-1678 */
/* A55AMT 1679-1679 */
/* T56AMT 1680-1684 */
/* A56AMT 1685-1685 */
/* T75AMT 1686-1691 */
/* A75AMT 1692-1692 */
/* TCSAGY 1693-1697 */
/* ACSAGY 1698-1698 */
/* EROLOVR1 1699-1700 */
/* AROLOVR1 1701-1701 */
/* EROLOVR2 1702-1703 */
/* AROLOVR2 1704-1704 */
/* TROLLAMT 1705-1711 */
/* AROLLAMT 1712-1712 */
 RAB1R1 1713-1714
 RAB1R2 1715-1716
 RAB2R1 1717-1718
 RAB2R2 1719-1720
 RAS11 1721-1722
 RAS12 1723-1724
 RAS13 1725-1726
 RAS21 1727-1728
 RAS22 1729-1730
 RAS23 1731-1732
 RWB1R1 1733-1734
 RWB1R2 1735-1736
 RWB2R1 1737-1738
 RWB2R2 1739-1740
 RWS1 1741-1742
 RWS2 1743-1744
 RFB1R1 1745-1746
 RFB1R2 1747-1748
 RFB2R1 1749-1750
 RFB2R2 1751-1752
 RFS1 1753-1754
 RFS2 1755-1756
 RGB1R1 1757-1758
 RGB1R2 1759-1760
 RGB2R1 1761-1762
 RGB2R2 1763-1764
 RGS1 1765-1766
 RGS2 1767-1768
 ROB1R1 1769-1770
 ROB1R2 1771-1772
 ROB2R1 1773-1774
 ROB2R2 1775-1776
 ROS1 1777-1778
 ROS2 1779-1780
 RSB1R1 1781-1782
 RSB1R2 1783-1784
 RSB2R1 1785-1786
 RSB2R2 1787-1788
 RSS1 1789-1790
 RSS2 1791-1792
 EAST1A 1793-1794
 AAST1A 1795-1795
 EAST1B 1796-1797
 AAST1B 1798-1798
 EAST1C 1799-1800
 AAST1C 1801-1801
 EAST2A 1802-1803
 AAST2A 1804-1804
 EAST2B 1805-1806
 AAST2B 1807-1807
 EAST2C 1808-1809
 AAST2C 1810-1810
 EAST2D 1811-1812
 AAST2D 1813-1813
 EAST3A 1814-1815
 AAST3A 1816-1816
 EAST3B 1817-1818
 AAST3B 1819-1819
 EAST3C 1820-1821
 AAST3C 1822-1822
 EAST3D 1823-1824
 AAST3D 1825-1825
 EAST3E 1826-1827
 AAST3E 1828-1828
 EAST4A 1829-1830
 AAST4A 1831-1831
 EAST4B 1832-1833
 AAST4B 1834-1834
 EAST4C 1835-1836
 AAST4C 1837-1837
 EJNTRNT 1838-1839
 AJNTRNT 1840-1840
/* TJARNT 1841-1845 */
/* AJARNT 1846-1846 */
/* TJACLR 1847-1852 */
/* AJACLR 1853-1853 */
 EOWNRNT 1854-1855
 AOWNRNT 1856-1856
/* TOARNT 1857-1861 */
/* AOARNT 1862-1862 */
/* TOACLR 1863-1868 */
/* AOACLR 1869-1869 */
 EJRNT2 1870-1871
 AJRNT2 1872-1872
/* TJACLR2 1873-1878 */
/* AJACLR2 1879-1879 */
 EMRTJNT 1880-1881
 AMRTJNT 1882-1882
/* TMIJNT 1883-1887 */
/* AMIJNT 1888-1888 */
 EMRTOWN 1889-1890
 AMRTOWN 1891-1891
/* TMIOWN 1892-1896 */
/* AMIOWN 1897-1897 */
/* TRNDUP1 1898-1902 */
/* ARNDUP1 1903-1903 */
/* TRNDUP2 1904-1910 */
/* ARNDUP2 1911-1911 */
/* TOTHPROP 1912-1918 */
 ECKJT 1919-1920
 ACKJT 1921-1921
/* TCKJTINT 1922-1926 */
/* ACKJTINT 1927-1927 */
 ECKOAST 1928-1929
 ACKOAST 1930-1930
/* TCKOINT 1931-1935 */
/* ACKOINT 1936-1936 */
 ESVJT 1937-1938
 ASVJT 1939-1939
/* TSVJTINT 1940-1944 */
/* ASVJTINT 1945-1945 */
 ESVOAST 1946-1947
 ASVOAST 1948-1948
/* TSVOINT 1949-1953 */
/* ASVOINT 1954-1954 */
 EMDJT 1955-1956
 AMDJT 1957-1957
/* TMDJTINT 1958-1962 */
/* AMDJTINT 1963-1963 */
 EMDOAST 1964-1965
 AMDOAST 1966-1966
/* TMDOINT 1967-1971 */
/* AMDOINT 1972-1972 */
 ECDJT 1973-1974
 ACDJT 1975-1975
/* TCDJTINT 1976-1980 */
/* ACDJTINT 1981-1981 */
 ECDOAST 1982-1983
 ACDOAST 1984-1984
/* TCDOINT 1985-1989 */
/* ACDOINT 1990-1990 */
 EBDJT 1991-1992
 ABDJT 1993-1993
/* TBDJTINT 1994-1998 */
/* ABDJTINT 1999-1999 */
 EBDOAST 2000-2001
 ABDOAST 2002-2002
/* TBDOINT 2003-2007 */
/* ABDOINT 2008-2008 */
 EGVJT 2009-2010
 AGVJT 2011-2011
/* TGVJTINT 2012-2016 */
/* AGVJTINT 2017-2017 */
 EGVOAST 2018-2019
 AGVOAST 2020-2020
/* TGVOINT 2021-2025 */
/* AGVOINT 2026-2026 */
/* TINTINC 2027-2032 */
 EMANYCHK 2033-2034
 AMANYCHK 2035-2035
/* TMJNTDIV 2036-2040 */
/* AMJNTDIV 2041-2041 */
/* TMOWNDIV 2042-2046 */
/* AMOWNDIV 2047-2047 */
 EMOTHDIV 2048-2049
 AMOTHDIV 2050-2050
/* TMJADIV 2051-2055 */
/* AMJADIV 2056-2056 */
/* TMOWNADV 2057-2061 */
/* AMOWNADV 2062-2062 */
 ESANYCHK 2063-2064
 ASANYCHK 2065-2065
/* TSJNTDIV 2066-2070 */
/* ASJNTDIV 2071-2071 */
/* TSOWNDIV 2072-2076 */
/* ASOWNDIV 2077-2077 */
 ESOTHDIV 2078-2079
 ASOTHDIV 2080-2080
/* TSJADIV 2081-2085 */
/* ASJADIV 2086-2086 */
/* TSOWNADV 2087-2091 */
/* ASOWNADV 2092-2092 */
/* TDIVINC 2093-2097 */
 ECRMTH 2098-2099
 ACRMTH 2100-2100
 RMEDCODE 2101-2102
 ECDMTH 2103-2104
 ACDMTH 2105-2105
 EMCOCOV 2106-2107
 AMCOCOV 2108-2108
 ECDUNT1 2109-2111
 EHIMTH 2112-2113
 AHIMTH 2114-2114
 EHIOWNER 2115-2116
 AHIOWNER 2117-2117
 ENONHH 2118-2118
 RCHAMPM 2119-2120
 EHIUNT1 2121-2123
 EHIUNT2 2124-2126
 EHIUNT3 2127-2129
 EHEMPLY 2130-2131
 AHEMPLY 2132-2132
 EHICOST 2133-2134
 AHICOST 2135-2135
 EHIOTHER 2136-2137
 AHIOTHER 2138-2138
 EHISPSE 2139-2140
 AHISPSE 2141-2141
 EHIOLDKD 2142-2143
 AHIOLDKD 2144-2144
 EHIYNGKD 2145-2146
 AHIYNGKD 2147-2147
 EHIOTHR 2148-2149
 AHIOTHR 2150-2150
 EHIRSN01 2151-2152
 EHIRSN02 2153-2154
 EHIRSN03 2155-2156
 EHIRSN04 2157-2158
 EHIRSN05 2159-2160
 EHIRSN06 2161-2162
 EHIRSN07 2163-2164
 EHIRSN08 2165-2166
 EHIRSN09 2167-2168
 EHIRSN10 2169-2170
 EHIRSN11 2171-2172
 EHIRSN12 2173-2174
 AHIRSN 2175-2175
 RPRVHI 2176-2177
 RPRVHI2 2178-2179
 LGTKEY 2180-2187
 LGTMON 2188-2189
 FILLER 2190-2192
;
RUN ;

/*
proc contents data=sas8.&part&wave;
run;
*/

proc freq data=savedat.&part&wave;
        tables lgtmon*srefmon /list nopercent;
run;

%end;

%mend runavgs;

%runavgs;

data savedat.l01pu;
 set 	savedat.l01puw1 
		savedat.l01puw2 
		savedat.l01puw3 
		savedat.l01puw4 
		savedat.l01puw5 
		savedat.l01puw6 
		savedat.l01puw7 
		savedat.l01puw8 
		savedat.l01puw9;
run;
proc contents data=savedat.l01pu;
run;

proc freq data=savedat.l01pu;
        tables lgtmon*srefmon /list nopercent;
        tables srotaton*lgtmon*rhcalmn /list nopercent;
		tables lgtmon*swave /list nopercent;
run;

endsas;
